<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__aes__encrypt__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_aes_encrypt_info_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__aes__encrypt__info__t_1a2cd399e3e462920512e854c325aaa92e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_aes_encrypt_info_t::plainData[CY_BLE_ENCRYPTION_DATA_SIZE]</definition>
        <argsstring>[CY_BLE_ENCRYPTION_DATA_SIZE]</argsstring>
        <name>plainData</name>
        <briefdescription>
<para>Data containing plain text (128-bit) that is to be encrypted. </para>        </briefdescription>
        <detaileddescription>
<para>The data must be stored in little endian format. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="446" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="446" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aes__encrypt__info__t_1a2b4aa2e4d84480909d26382cf5cdc754" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_aes_encrypt_info_t::aesKey[CY_BLE_ENCRYPTION_KEY_SIZE]</definition>
        <argsstring>[CY_BLE_ENCRYPTION_KEY_SIZE]</argsstring>
        <name>aesKey</name>
        <briefdescription>
<para>Pointer to the AES Key (128-bit) that is to be used for AES encryption. </para>        </briefdescription>
        <detaileddescription>
<para>The key must be stored in little endian format. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="451" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="451" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>AES encrypt information. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="453" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="441" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="442" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__aes__encrypt__info__t_1a2b4aa2e4d84480909d26382cf5cdc754" virt="non-virtual"><scope>cy_stc_ble_aes_encrypt_info_t</scope><name>aesKey</name></member>
      <member prot="public" refid="structcy__stc__ble__aes__encrypt__info__t_1a2cd399e3e462920512e854c325aaa92e" virt="non-virtual"><scope>cy_stc_ble_aes_encrypt_info_t</scope><name>plainData</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>